Beta

Archive a List column

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/lists/{list_id}/columns/{column_id}/archive

Hide a private List column while retaining its values for audit.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

column_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
list_id*string
Match^list_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Request Body

application/json
  1. body
expected_version*SmbV0OperationsGetListMembersRequestExpectedVersion
Range-9007199254740991 <= value <= 9007199254740991

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
action_receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
curl -X POST 'https://example.com/v1/lists/string/columns/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive' \  -H 'Idempotency-Key: stringst' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "expected_version": -9007199254740991}'
{  "data": {    "list_id": "string",    "version": 1,    "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",    "archived": true  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "archive_list_column",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}